Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class RESwapParameterInfo

[frames] | no frames]

# Class RESwapParameterInfo

source code

                   object --+
                            |
    AbstractSwapParameterInfo --+
                                |
                               RESwapParameterInfo

Known Subclasses:
  - AbstractRENSSwapParameterInfo
  - , MDRENSSwapParameterInfo

Holds parameters for a standard Replica Exchange swap.

Nested Classes
Inherited from `AbstractSwapParameterInfo`: `__metaclass__`

Instance Methods
Inherited from `AbstractSwapParameterInfo`: `__init__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `AbstractSwapParameterInfo`: `__abstractmethods__`

Properties
Inherited from `AbstractSwapParameterInfo`: `sampler1`, `sampler2` Inherited from `object`: `__class__`